Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2219952 - F39FailsToInstall: breezy: Uses the removed imp module, crahes wehn executed, with TypeError: HTTPSConnection.__init__() takes from 2 to 3 positional arguments but 5 were given
Summary: F39FailsToInstall: breezy: Uses the removed imp module, crahes wehn executed,...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: breezy
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondřej Pohořelský
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 2224747 (view as bug list)
Depends On: 2196739 2223432
Blocks: F39FTBFS F39FailsToInstall PYTHON3.12 2219955 2219990 2220016 2220200
TreeView+ depends on / blocked
 
Reported: 2023-07-05 19:02 UTC by Fedora Fails To Install
Modified: 2023-08-22 11:17 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-25 13:48:53 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-07-05 19:02:44 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (breezy) Fails To Install in Fedora 39:

can't install breezy:
  - nothing provides python3.11dist(configobj) needed by breezy-3.2.2-8.fc39.x86_64
  - nothing provides python3.11dist(patiencediff) needed by breezy-3.2.2-8.fc39.x86_64
  - nothing provides python(abi) = 3.11 needed by breezy-3.2.2-8.fc39.x86_64
  - nothing provides python3.11dist(dulwich) >= 0.20.23 needed by breezy-3.2.2-8.fc39.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install breezy


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2023-07-13 11:15:48 UTC
From https://src.fedoraproject.org/rpms/breezy/pull-request/14

$ brz init-repo brz && cd brz && brz branch lp:brz brz.dev
Shared repository with trees (format: 2a)
Location:
  shared repository: brz
brz: ERROR: TypeError: HTTPSConnection.__init__() takes from 2 to 3 positional arguments but 5 were given

Traceback (most recent call last):
  File "/usr/lib64/python3.12/site-packages/breezy/directory_service.py", line 87, in dereference
    return directory.look_up(name, url, purpose=purpose)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_directory.py", line 114, in look_up
    return self._resolve(url)
           ^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_directory.py", line 170, in _resolve
    result = self._resolve_via_xmlrpc(path, url, _request_factory)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_directory.py", line 146, in _resolve_via_xmlrpc
    result = resolve.submit(service)
             ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_registration.py", line 231, in submit
    return service.send_request(self._methodname, self._request_params())
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_registration.py", line 160, in send_request
    result = method(*method_params)
             ^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/xmlrpc/client.py", line 1122, in __call__
    return self.__send(self.__name, args)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/xmlrpc/client.py", line 1461, in __request
    response = self.__transport.request(
               ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_registration.py", line 87, in request
    response = transport.request("POST", url, body=request_body, headers={
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/http/urllib.py", line 1851, in request
    response = self._opener.open(request)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/urllib/request.py", line 512, in open
    req = meth(req)
          ^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/http/urllib.py", line 558, in https_request
    return self.capture_connection(request, HTTPSConnection)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/http/urllib.py", line 547, in capture_connection
    connection = self.create_connection(request, http_connection_class)
                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/http/urllib.py", line 520, in create_connection
    connection = http_connection_class(
                 ^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/http/urllib.py", line 343, in __init__
    http_client.HTTPSConnection.__init__(
TypeError: HTTPSConnection.__init__() takes from 2 to 3 positional arguments but 5 were given

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/python3.12/site-packages/breezy/commands.py", line 1017, in exception_to_return_code
    return the_callable(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/commands.py", line 1206, in run_bzr
    ret = run(*run_argv)
          ^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/commands.py", line 757, in run_argv_aliases
    return self.run(**all_cmd_args)
           ^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/commands.py", line 782, in run
    return class_run(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/builtins.py", line 1473, in run
    accelerator_tree, br_from = controldir.ControlDir.open_tree_or_branch(
                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/controldir.py", line 817, in open_tree_or_branch
    controldir = klass.open(location)
                 ^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/controldir.py", line 723, in open
    t = _mod_transport.get_transport(base, possible_transports)
        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/__init__.py", line 1573, in get_transport
    location_to_url(base, purpose=purpose),
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/location.py", line 136, in location_to_url
    location = directories.dereference(location, purpose)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/directory_service.py", line 90, in dereference
    return directory.look_up(name, url)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_directory.py", line 114, in look_up
    return self._resolve(url)
           ^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_directory.py", line 170, in _resolve
    result = self._resolve_via_xmlrpc(path, url, _request_factory)
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_directory.py", line 146, in _resolve_via_xmlrpc
    result = resolve.submit(service)
             ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_registration.py", line 231, in submit
    return service.send_request(self._methodname, self._request_params())
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_registration.py", line 160, in send_request
    result = method(*method_params)
             ^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/xmlrpc/client.py", line 1122, in __call__
    return self.__send(self.__name, args)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/xmlrpc/client.py", line 1461, in __request
    response = self.__transport.request(
               ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/plugins/launchpad/lp_registration.py", line 87, in request
    response = transport.request("POST", url, body=request_body, headers={
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/http/urllib.py", line 1851, in request
    response = self._opener.open(request)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/urllib/request.py", line 512, in open
    req = meth(req)
          ^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/http/urllib.py", line 558, in https_request
    return self.capture_connection(request, HTTPSConnection)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/http/urllib.py", line 547, in capture_connection
    connection = self.create_connection(request, http_connection_class)
                 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/http/urllib.py", line 520, in create_connection
    connection = http_connection_class(
                 ^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib64/python3.12/site-packages/breezy/transport/http/urllib.py", line 343, in __init__
    http_client.HTTPSConnection.__init__(
TypeError: HTTPSConnection.__init__() takes from 2 to 3 positional arguments but 5 were given

brz 3.2.2 on python 3.12.b3 (Linux-6.0.15-300.fc37.x86_64-x86_64-with-
    glibc2.37.9000)
arguments: ['/usr/bin/brz', 'branch', 'lp:brz', 'brz.dev']
plugins: bash_completion[3.2.2], changelog_merge[3.2.2],
    commitfromnews[3.2.2], cvs[3.2.2], darcs[3.2.2], email[3.2.2],
    fastimport[3.2.2], flake8[unknown], fossil[3.2.2], github[3.2.2],
    gitlab[3.2.2], hg[3.2.2], launchpad[3.2.2], mtn[3.2.2],
    netrc_credential_store[3.2.2], news_merge[3.2.2], po_merge[3.2.2],
    propose[3.2.2], pypi[3.2.2], quilt[unknown], repodebug[3.2.2],
    rewrite[unknown], stats[3.2.2], svn[3.2.2], upload[3.2.2],
    weave_fmt[3.2.2], zsh_completion[3.2.2]
encoding: 'utf-8', fsenc: 'utf-8', lang: 'C.UTF-8'

*** Bazaar has encountered an internal error.  This probably indicates a
    bug in Bazaar.  You can help us fix it by filing a bug report at
        https://bugs.launchpad.net/brz/+filebug
    including this traceback and a description of the problem.


----------------------

See *Remove keyfile, certfile and check_hostname parameters*

https://github.com/python/cpython/commit/ef0e72b31d22f780d3a165d7d0471806061fe380

Comment 2 Fedora Fails To Install 2023-07-13 11:38:48 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 3 Ondřej Pohořelský 2023-07-13 14:39:00 UTC
I tried to fix this and Bug 2133259 at the same time.
It seems like breezy team has created yet another package, setuptools-gettext.
I'll try to package it and once it is present in rawhide build Breezy.

Comment 4 Ondřej Pohořelský 2023-07-13 15:51:25 UTC
Taking back my last message. Package setuptools-gettext is present in the Fedora.
However, there is another one missing (now I checked properly :) ), the Merge3 package[0], so I'll try to package that one.

I have done the update commit in my fork[1], I will make a PR after Merge3 is ready.

[0]https://pypi.org/project/merge3/
[1]https://src.fedoraproject.org/fork/opohorel/rpms/breezy/c/8dd552750b3ba99d32193629318e667c0a5cb0d3?branch=3.3.3

Comment 5 Michel Lind 2023-07-17 20:05:33 UTC
Chiming in here since I'm interested in getting etckeeper working in Rawhide and it's blocked on this; I've put up a review request (linked) for merge3

Comment 6 Ondřej Pohořelský 2023-07-18 07:05:05 UTC
Funny, I wanted to post the review this morning.
Never mind, here is my spec, which I fully generated by pyp2spec, so you can take a look:

https://fedorapeople.org/cgit/opohorel/public_git/python3-merge3.git/plain/python-merge3.spec

If you need any help with that package, feel free to message me :)

Comment 7 Michel Lind 2023-07-18 21:08:05 UTC
(In reply to Ondřej Pohořelský from comment #6)
> Funny, I wanted to post the review this morning.
> Never mind, here is my spec, which I fully generated by pyp2spec, so you can
> take a look:
> 
> https://fedorapeople.org/cgit/opohorel/public_git/python3-merge3.git/plain/
> python-merge3.spec
> 
> If you need any help with that package, feel free to message me :)

python-merge3 is in Rawhide now - so breezy review is unblocked! Let me know if you want to be added as a maintainer - I've also added the Python packager SIG.

Comment 8 Miro Hrončok 2023-07-24 19:13:58 UTC
*** Bug 2224747 has been marked as a duplicate of this bug. ***

Comment 9 Fedora Fails To Install 2023-07-25 13:48:53 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 39.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.